package main

import (
	"fmt"
	"log"
	"net/http"
	"reader/pkg/handlers"
)

func main() {
	port := 8080

	http.HandleFunc("GET /download", handlers.Download) // example request: {"date": "07-03-2025", "start_time": "16-43", "end_time": "16-44"}
	http.HandleFunc("GET /hls/", handlers.HLS)

	log.Println("Starting server on:")
	log.Printf("Serving on HTTP port: %d\n", port)

	log.Fatal(http.ListenAndServe(fmt.Sprintf(":%d", port), nil))
}
